package com.quantgroup.asset.distribution.service.jpa.repository;

import com.quantgroup.asset.distribution.service.jpa.entity.ProductRuleEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface IProductRuleRepository extends JpaRepository<ProductRuleEntity, Long>{
    ProductRuleEntity getByRuleNameEquals(String ruleName);

    List<ProductRuleEntity> getAllByRuleTypeEqualsAndEnableEquals(String ruleType,Byte enable);

    List<ProductRuleEntity> getAllByEnableEquals(Byte enable);

}
